/** Font */
@mixin font($font-size, $letter-spacing, $line-height: 120%) {
  font-size: $font-size;
  font-style: normal;
  font-weight: 400;
  line-height: $line-height;
  letter-spacing: $letter-spacing;
}

/** Card */
@mixin card-rounded-border($padding-y, $padding-x, $border-color) {
  padding: $padding-y $padding-x;
  border: 1px solid $border-color;
  border-radius: 24px;
}

/** Button */
@mixin btn-rounded-border(
  $padding-y,
  $padding-x,
  $border-color: transparent,
  $border-radius: 32px
) {
  padding: $padding-y $padding-x;
  border: 1px solid $border-color;
  border-radius: $border-radius;
  transition: 0.5s;
}
@mixin common-hover($color: $white) {
  color: $color;
  box-shadow: 0 0 20px rgb(45 20 2 / 26%);
}

/** Dropdown */
@mixin dropdown-rounded-border($padding-y, $padding-x, $border-radius) {
  padding: $padding-y $padding-x;
  border: 1px solid transparent;
  border-radius: $border-radius;
  box-shadow: 0 4px 40px rgb(4 30 66 / 20%);
}
@mixin select-rounded-border($padding-y, $padding-x, $border-radius) {
  padding: $padding-y $padding-x;
  border-radius: $border-radius;
}

/** Colors */
@mixin bg-color($background-color) {
  background-color: $background-color;
}
@mixin text-color($color) {
  color: $color;
}

/** Icons */
@mixin common-icon($background-image) {
  width: 16px;
  height: 16px;
  cursor: auto;
  cursor: pointer;
  background-image: url($background-image);
  background-repeat: no-repeat;
  background-position: right;
  background-size: 16px 16px;
  box-shadow: none;
}
@mixin icon-position($top, $right) {
  position: absolute;
  top: $top;
  right: $right;
}

/** 繼承樣式 - input */
%input-rounded-border {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 12px 18px 12px 24px;
  color: $gray-900;
  text-align: left;
  background-color: $gray-200;
  border: 1px solid transparent;
  border-radius: 24px;
}
%common-focus {
  background-color: $gray-100;
  border: 1px solid $main;
  box-shadow: 0 0 20px rgb(0 0 0 / 8%);
}
